Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IFaceDetectSettings Class Reference
Request | Ext::FaceDetect

Interface to face detection settings. More...

`#include <FaceDetect.h>`

Inheritance diagram for Argus::Ext::IFaceDetectSettings:

List of all members.

## Public Member Functions
virtual void | setFaceDetectEnable (bool enable)=0
| Enables or disables face detection.
virtual bool | getFaceDetectEnable () const =0

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IFaceDetectSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to face detection settings.

Definition at line 90 of file FaceDetect.h.

## Constructor & Destructor Documentation

Argus::Ext::IFaceDetectSettings::~IFaceDetectSettings | ( |  | ) |
| inline protected

Definition at line 109 of file FaceDetect.h.

## Member Function Documentation

virtual bool Argus::Ext::IFaceDetectSettings::getFaceDetectEnable | ( |  | ) | const
| pure virtual

Returns:
  whether or not face detection is enabled.

static const InterfaceID& Argus::Ext::IFaceDetectSettings::id | ( |  | ) |
| inline static

Definition at line 93 of file FaceDetect.h.

virtual void Argus::Ext::IFaceDetectSettings::setFaceDetectEnable | ( | bool | enable | ) |
| pure virtual

Enables or disables face detection.

When face detection is enabled the CaptureMetadata returned by completed captures will expose the IFaceDetectMetadata interface and the FaceDetectResults returned by this interface will expose the IFaceDetectResults interface.

Parameters:

  [in] | enable | whether or not face detection is enabled.

The documentation for this class was generated from the following file:

- include/Argus/Ext/FaceDetect.h